from practicum import McuBoard

RQ_SET_LED    = 0
RQ_GET_SWITCH = 1
RQ_GET_LIGHT  = 2

####################################
class PeriBoard(McuBoard):

    ################################
    def getData(self):
	res = self.usb_read( 7 , length=100 )
	l=0
	for aa in res :
		l = l+1
	l=l/3
	for i in range(0,l) :
		print str(res[i*3+2]) + ":" +str(res[i*3+1]) + ":" str(res[i*3+3])

    def	setRem(self):
	self.usb_write( 8 )
    def setLed(self, led_no, led_val):
	self.usb_write(RQ_SET_LED ,led_no,led_val);
        pass

    ################################
    def setLedValue(self, value):
        '''
        Display value's 3 LSBs on peripheral board's LEDs
        '''
	self.usb_write(RQ_SET_LED ,2, value % 8 >> 2)
	self.usb_write(RQ_SET_LED ,1, value % 4 >> 1)
	self.usb_write(RQ_SET_LED ,0, value % 2)
        pass

    ################################
    def getSwitch(self):
        '''
        Return a boolean value indicating whether the switch on the peripheral
        board is currently pressed
        '''
	if(self.usb_read(RQ_GET_SWITCH ,1) == (1,)):
		return True
	else:
		return False
	return True

    ################################
    def getLight(self):
        '''
        Return the current reading of light sensor on peripheral board
        '''
	(L,H) = self.usb_read(RQ_GET_LIGHT,2)
	H = H<<8
	H = H + L
	return H
